org.apache.lucene.queryParser.standard.config

## Interface PositionIncrementsAttribute

- All Superinterfaces:
    org.apache.lucene.util.Attribute
  All Known Implementing Classes:
    PositionIncrementsAttributeImpl

      public interface PositionIncrementsAttribute
      extends org.apache.lucene.util.Attribute

  This attribute is used by `AnalyzerQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor if the position increment is enabled.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isPositionIncrementsEnabled()`
    `void` | `setPositionIncrementsEnabled(boolean positionIncrementsEnabled)`

- - ### Method Detail

    - #### setPositionIncrementsEnabled

          void setPositionIncrementsEnabled(boolean positionIncrementsEnabled)

    - #### isPositionIncrementsEnabled

          boolean isPositionIncrementsEnabled()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.